summaryrefslogtreecommitdiff
path: root/ci/install.sh
diff options
context:
space:
mode:
authorZac Berkowitz <zac.berkowitz@gmail.com>2017-02-25 02:21:41 +0000
committerBryant Mairs <bryant@mai.rs>2017-04-09 07:41:58 -0700
commitee2bff1cc42f5cd8371c10d8d9228fe1c0261023 (patch)
tree4369a054854a6cf74f9e05461cf0967d1b3e9c0d /ci/install.sh
parent52963abcdddae0ee2684c33a1f451b8a3cf0406b (diff)
downloadnix-ee2bff1cc42f5cd8371c10d8d9228fe1c0261023.zip
Added ci templates from `trust` v0.1.1
Diffstat (limited to 'ci/install.sh')
-rw-r--r--ci/install.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/ci/install.sh b/ci/install.sh
new file mode 100644
index 00000000..4093c9b2
--- /dev/null
+++ b/ci/install.sh
@@ -0,0 +1,24 @@
+set -ex
+
+main() {
+ curl https://sh.rustup.rs -sSf | \
+ sh -s -- -y --default-toolchain $TRAVIS_RUST_VERSION
+
+ local target=
+ if [ $TRAVIS_OS_NAME = linux ]; then
+ target=x86_64-unknown-linux-gnu
+ else
+ target=x86_64-apple-darwin
+ fi
+
+ # TODO At some point you'll probably want to use a newer release of `cross`,
+ # simply change the argument to `--tag`.
+ curl -LSfs https://japaric.github.io/trust/install.sh | \
+ sh -s -- \
+ --force \
+ --git japaric/cross \
+ --tag v0.1.4 \
+ --target $target
+}
+
+main